Unity Build Automation
This REST API is intended to be used in conjunction with Unity Build Automation.
Authentication
Authenticate with HTTP Basic auth using a Unity service account key and secret (). The legacy Build Automation API key is not supported on v2.
Authorization: Basic <base64(keyId:secret)>For a step-by-step guide, see Migrating your UBA REST API calls from V1 to V2 and Create a service account.
Note: This documentation describes version 2 of the Unity Build Automation API. For the previous version, refer to the v1 reference documentation.
Download OpenAPI specification:
List all xcode versions
List all xcode versions
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "List all xcode versions":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/versions/xcode"
Response example
[ { "hidden": true, "deprecated": true, "name": "John Doe", "value": "example-value" }]
List all visual studio versions for UWP applications
List all visual studio versions for UWP applications
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "List all visual studio versions for UWP applications":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/versions/visual-studio"
Response example
[ { "visual_studio_version": "2024", "windows_sdk_versions": [ "10.0.17134.0", "10.0.17763.0", "10.0.18362.0" ] }]
Get the currently authenticated user.
Get the currently authenticated user.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get the currently authenticated user.":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/users/me"
Response example
{ "email": "julie.smith@example.org", "name": "Julie Smith", "unityid": "0000000", "waiting": false, "permissions": [ "string" ], "lastAcceptedEulaVersion": "string", "disableNotifications": false, "orgs": [ { "name": "string", "id": "string", "foreign_key": "string" } ], "links": {}}
Update the current user's information specific to the Unity Build Automation service.
Update the current user's information specific to the Unity Build Automation service.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Update the current user's information specific to the Unity Build Automation service.":
Request example
curl -X PUT \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "disableNotifications": false, "lastAcceptedEulaVersion": "1.0.0"}' \ "https://build-automation.services.api.unity.com/v2/users/me"
Response example
{ "email": "julie.smith@example.org", "name": "Julie Smith", "unityid": "0000000", "waiting": false, "permissions": [ "string" ], "lastAcceptedEulaVersion": "string", "disableNotifications": false, "orgs": [ { "name": "string", "id": "string", "foreign_key": "string" } ], "links": {}}
List all iOS device profiles for the current user
List all iOS device profiles for the current user
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "List all iOS device profiles for the current user":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/users/me/devices"
Response example
[ { "udid": "1234567890abcdef1234567890abcdef12345678", "devicename": "iPhone 12", "os": "Android", "osversion": "14.0", "product": "iPhone", "status": "disabled" }]
Create a new iOS device profile for the current user
Create a new iOS device profile for the current user
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Create a new iOS device profile for the current user":
Request example
curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "udid": "1234567890abcdef1234567890abcdef12345678", "devicename": "iPhone 12", "os": "Android", "osversion": "14.0", "product": "iPhone", "status": "disabled"}' \ "https://build-automation.services.api.unity.com/v2/users/me/devices"
Response example
{ "udid": "1234567890abcdef1234567890abcdef12345678", "devicename": "iPhone 12", "os": "Android", "osversion": "14.0", "product": "iPhone", "status": "disabled"}
Get a unity version by value
Get a unity version by value
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get a unity version by value":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/versions/unity/{unityVersionValue}"
Response example
{ "name": "John Doe", "value": "example-value", "xcode_versions": [ "xcode13_2_1", "xcode14_0" ], "hidden": true, "deprecated": true, "cloudRenderingEnabled": true, "entitledPlatformsSupported": [ "ios", "android", "webgl" ], "architectures": [ "AppleIntel", "AppleSilicon" ], "isBuildProfileSupported": true}
List all SCM types supporting auto detecting the project Unity version
List all SCM types supporting auto detecting the project Unity version
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "List all SCM types supporting auto detecting the project Unity version":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/versions/auto_detect_supported_scms"
Response example
[ "git", "svn"]
List all unity versions
List all unity versions
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "List all unity versions":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/versions/unity"
Response example
[ { "name": "Unity 2022.3.0f1", "value": "2022.3.0f1", "hidden": false, "deprecated": false, "cloudRenderingEnabled": true, "isBuildProfileSupported": true, "xcode_versions": [ "xcode14_0", "xcode15_0" ], "entitledPlatformsSupported": [ "ios", "android" ], "architectures": [ "arm64", "x86_64" ] }]
Get Build Automation Status
Get Build Automation Status
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get Build Automation Status":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/status"
Response example
[ { "text": "This platform is not actively supported anymore and will be removed soon", "platform": "webplayer", "priority": 1, "billingPlan": "Personal", "scmType": "git", "alertType": "info", "autoClear": false, "redirect": "https://example.com/redirect" }]
Check a url for connectivity
Check a url for connectivity
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Check a url for connectivity":
Request example
curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "type": "git", "url": "https://github.com/unity/example-repo.git", "user": "johndoe", "pass": "secret123", "fingerprint": "a1b2c3d4e5f6g7h8i9j0", "p4authtype": "p4-ticket-12345", "authType": "UPWorkingMode", "plasticAccessToken": "plastic_token_123", "plasticEnvironment": "prd", "shallowclone": true, "windowsGitBinary": "cygwin", "useEncryption": false, "encryptionKey": "a1b2c3d4e5f6g7h8i9j0", "encryptionMethod": "AES128", "oauth": { "scm_provider": "scm_provider", "temp_state": "temp_state", "github": { "repository": { "owner": { "login": "unity", "name": "Unity", "avatar_url": "https://github.com/unity.png", "html_url": "https://github.com/unity" }, "clone_url": "https://github.com/unity/example.git", "archived_clone_url": "https://github.com/unity/example.git", "forks": 0, "watchers": 0, "full_name": "unity/example", "name": "example", "scm": "git", "provider_id": "gh-1234" }, "token": "token", "refreshToken": "refreshToken", "expiration": "2025-12-31T23:59:59.000Z", "expirationInterval": 0 }, "gitlab": { "repository": { "owner": { "login": "unity", "name": "Unity", "avatar_url": "https://github.com/unity.png", "html_url": "https://github.com/unity" }, "clone_url": "https://github.com/unity/example.git", "archived_clone_url": "https://github.com/unity/example.git", "forks": 0, "watchers": 0, "full_name": "unity/example", "name": "example", "scm": "git", "provider_id": "gh-1234" }, "token": "token", "refreshToken": "refreshToken", "expiration": "2025-12-31T23:59:59.000Z", "expirationInterval": 0 }, "bitbucket": { "repository": { "owner": { "login": "unity", "name": "Unity", "avatar_url": "https://github.com/unity.png", "html_url": "https://github.com/unity" }, "clone_url": "https://github.com/unity/example.git", "archived_clone_url": "https://github.com/unity/example.git", "forks": 0, "watchers": 0, "full_name": "unity/example", "name": "example", "scm": "git", "provider_id": "gh-1234" }, "token": "token", "refreshToken": "refreshToken", "expiration": "2025-12-31T23:59:59.000Z", "expirationInterval": 0, "workspace": "my-workspace" }, "azure": { "repository": { "owner": { "login": "unity", "name": "Unity", "avatar_url": "https://github.com/unity.png", "html_url": "https://github.com/unity" }, "clone_url": "https://github.com/unity/example.git", "archived_clone_url": "https://github.com/unity/example.git", "forks": 0, "watchers": 0, "full_name": "unity/example", "name": "example", "scm": "git", "provider_id": "gh-1234" }, "token": "token", "refreshToken": "refreshToken", "expiration": "2025-12-31T23:59:59.000Z", "expirationInterval": 0, "azureOrg": "azureOrg", "azureProject": "azureProject" } }}' \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/scm/checkurl"
Response example
{ "isAccessible": true, "normalizedUrl": "https://github.com/unity/example-repo.git", "errorMessages": [ "Invalid URL format", "Repository not found" ], "capturedInfo": { "fingerprint": "a1b2c3d4e5f6g7h8i9j0" }}
Notify UCB that a commit has been made
Notify UCB that a commit has been made
Code samples for "Notify UCB that a commit has been made":
Request example
curl -X POST \ -H "x-hub-signature: <x-hub-signature>" \ -H "x-gitlab-token: <x-gitlab-token>" \ -H "x-azure-token: <x-azure-token>" \ -H "x-github-event: <x-github-event>" \ -H "x-gitlab-event: <x-gitlab-event>" \ -H "x-event-key: <x-event-key>" \ -H "Content-Type: application/json" \ -d '{}' \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/hooks/scm/commit"
Response example
{ "sha": "abc123def456", "message": "feat: add new feature", "branch": "main", "timestamp": "2023-01-01T00:00:00Z", "author": { "email": "user@example.com", "name": "John Doe", "date": "2023-01-01T00:00:00Z" }}
List branches in the projects git repo
List branches in the projects git repo
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "List branches in the projects git repo":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/scm/git/branches"
Response example
[ "main", "develop"]
Get client workspace in the projects p4 repo
Get client workspace in the projects p4 repo
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get client workspace in the projects p4 repo":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/scm/p4/client/{client}"
Response example
"workspace-config"
List clients in the projects p4 repo
List clients in the projects p4 repo
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "List clients in the projects p4 repo":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/scm/p4/clients"
Response example
[ "client1", "client2"]
List branches in the selected repo for the project
List branches in the selected repo for the project
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "List branches in the selected repo for the project":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/scm/plastic/repos/{repo}/branches"
Response example
[ "main", "develop"]
List repos in the projects plastic server
List repos in the projects plastic server
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "List repos in the projects plastic server":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/scm/plastic/repos"
Response example
[ { "name": "MyRepository", "description": "Repository description", "isPrivate": true, "defaultBranch": "main", "id": 12345, "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z" }]
List folders in the projects svn repo
List folders in the projects svn repo
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "List folders in the projects svn repo":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/scm/svn/folders"
Response example
[ "trunk/folder1", "trunk/folder2"]
List scene-preview build targets
Returns every scene-preview build target for the project, each with its latest build attempt (any status) and its latest successful build.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "List scene-preview build targets":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/scenepreviews"
Response example
[ { "buildTargetId": "default-webgl", "name": "Default WebGL", "platform": "webgl", "enabled": true, "scenePreview": true, "targetType": "normal", "branch": "main", "buildProfilePath": "Assets/settings/build profiles/development", "latestBuild": { "buildNumber": 23, "buildStatus": "failure", "platform": "webgl", "branch": "main", "commitHash": "0C2E4F1D82D7E679403E32E323F798CC78348731", "unityVersion": "6000.3.2f1", "operatingSystem": "macos", "operatingSystemVersion": "sonoma", "xcodeVersion": "16.1.0", "architecture": "Apple-Silicon", "buildProfilePath": "Assets/settings/build profiles/development", "machineType": "STANDARD - 4 vCPU, 16GB memory, 512 GB disk", "startedAt": "2026-06-01T00:00:00Z", "completedAt": "2026-06-01T00:05:00Z" }, "latestSuccessfulBuild": { "buildNumber": 23, "buildStatus": "failure", "platform": "webgl", "branch": "main", "commitHash": "0C2E4F1D82D7E679403E32E323F798CC78348731", "unityVersion": "6000.3.2f1", "operatingSystem": "macos", "operatingSystemVersion": "sonoma", "xcodeVersion": "16.1.0", "architecture": "Apple-Silicon", "buildProfilePath": "Assets/settings/build profiles/development", "machineType": "STANDARD - 4 vCPU, 16GB memory, 512 GB disk", "startedAt": "2026-06-01T00:00:00Z", "completedAt": "2026-06-01T00:05:00Z" } }]
Get a single scene-preview build target
Returns one scene-preview build target with its latest build attempt (any status) and its latest successful build.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get a single scene-preview build target":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/scenepreviews/{buildtargetid}"
Response example
{ "buildTargetId": "default-webgl", "name": "Default WebGL", "platform": "webgl", "enabled": true, "scenePreview": true, "targetType": "normal", "branch": "main", "buildProfilePath": "Assets/settings/build profiles/development", "latestBuild": { "buildNumber": 23, "buildStatus": "failure", "platform": "webgl", "branch": "main", "commitHash": "0C2E4F1D82D7E679403E32E323F798CC78348731", "unityVersion": "6000.3.2f1", "operatingSystem": "macos", "operatingSystemVersion": "sonoma", "xcodeVersion": "16.1.0", "architecture": "Apple-Silicon", "buildProfilePath": "Assets/settings/build profiles/development", "machineType": "STANDARD - 4 vCPU, 16GB memory, 512 GB disk", "startedAt": "2026-06-01T00:00:00Z", "completedAt": "2026-06-01T00:05:00Z" }, "latestSuccessfulBuild": { "buildNumber": 23, "buildStatus": "failure", "platform": "webgl", "branch": "main", "commitHash": "0C2E4F1D82D7E679403E32E323F798CC78348731", "unityVersion": "6000.3.2f1", "operatingSystem": "macos", "operatingSystemVersion": "sonoma", "xcodeVersion": "16.1.0", "architecture": "Apple-Silicon", "buildProfilePath": "Assets/settings/build profiles/development", "machineType": "STANDARD - 4 vCPU, 16GB memory, 512 GB disk", "startedAt": "2026-06-01T00:00:00Z", "completedAt": "2026-06-01T00:05:00Z" }}
Get retention policies for a project.
Returns a list of retention policies configured for the specified project.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get retention policies for a project.":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/retentionpolicies"
Response example
[ { "guid": "550e8400-e29b-41d4-a716-446655440000", "type": "timeLimitDays", "retentionValue": 30, "retainLogs": false, "enabled": true }]
Create a retention policy for a project.
Creates a new retention policy with the specified configuration.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Create a retention policy for a project.":
Request example
curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "type": "timeLimitDays", "retentionValue": 30, "retainLogs": false, "enabled": true}' \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/retentionpolicies"
Response example
{ "guid": "550e8400-e29b-41d4-a716-446655440000", "type": "timeLimitDays", "retentionValue": 30, "retainLogs": false, "enabled": true}
Get retention policy details.
Returns detailed information about a specific retention policy.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get retention policy details.":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/retentionpolicies/{retentionpolicyguid}"
Response example
{ "guid": "550e8400-e29b-41d4-a716-446655440000", "type": "timeLimitDays", "retentionValue": 30, "retainLogs": false, "enabled": true}
Update a retention policy.
Updates an existing retention policy with new values.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Update a retention policy.":
Request example
curl -X PUT \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "retentionValue": 30, "retainLogs": false, "enabled": true}' \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/retentionpolicies/{retentionpolicyguid}"
Response example
{ "guid": "550e8400-e29b-41d4-a716-446655440000", "type": "timeLimitDays", "retentionValue": 30, "retainLogs": false, "enabled": true}
Delete a retention policy.
Deletes a retention policy from a project.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Delete a retention policy.":
Request example
curl -X DELETE \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/retentionpolicies/{retentionpolicyguid}"
Response example
{ "requestId": "string", "details": [ {} ], "detail": "string", "type": "string", "code": 0, "title": "string", "status": 0}
Get project details.
Returns detailed information about a specific project.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get project details.":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}"
Response example
{ "settings": { "remoteCacheStrategy": "inherit", "cacheCompressionLevel": "1", "artifactCompressionLevel": "1", "scm": { "type": "git", "url": "git@github.com:UnityTechnologies/exampleProject.git", "url_buildjob": "https://git.internal.example.com/org/repo.git", "user": "build_automat_service_account", "pass": "********", "fingerprint": "string", "authType": "UPWorkingMode", "plasticAccessToken": "string", "shallowclone": false, "windowsGitBinary": "cygwin", "useEncryption": false, "encryptionKey": "string", "encryptionMethod": "AES128", "plasticEnvironment": "prd", "oauth": { "scm_provider": "scm_provider", "temp_state": "temp_state", "github": { "repository": { "owner": null, "clone_url": null, "archived_clone_url": null, "forks": null, "watchers": null, "full_name": null, "name": null, "scm": null, "provider_id": null }, "token": "token", "refreshToken": "refreshToken", "expiration": "2025-12-31T23:59:59.000Z", "expirationInterval": 0 }, "gitlab": { "repository": { "owner": null, "clone_url": null, "archived_clone_url": null, "forks": null, "watchers": null, "full_name": null, "name": null, "scm": null, "provider_id": null }, "token": "token", "refreshToken": "refreshToken", "expiration": "2025-12-31T23:59:59.000Z", "expirationInterval": 0 }, "bitbucket": { "repository": { "owner": null, "clone_url": null, "archived_clone_url": null, "forks": null, "watchers": null, "full_name": null, "name": null, "scm": null, "provider_id": null }, "token": "token", "refreshToken": "refreshToken", "expiration": "2025-12-31T23:59:59.000Z", "expirationInterval": 0, "workspace": "my-workspace" }, "azure": { "repository": { "owner": null, "clone_url": null, "archived_clone_url": null, "forks": null, "watchers": null, "full_name": null, "name": null, "scm": null, "provider_id": null }, "token": "token", "refreshToken": "refreshToken", "expiration": "2025-12-31T23:59:59.000Z", "expirationInterval": 0, "azureOrg": "azureOrg", "azureProject": "azureProject" } } } }, "created": "2025-01-01T18:45:00.000Z", "disabled": false, "disableNotifications": false, "generateShareLinks": false, "beautifulCornerSecondaryWorkspace": false, "projectid": "95a0de7c-8f1d-4d2d-8c03-9b711fac5ff8", "name": "Example Project", "orgName": "Example Organization", "serviceFlags": {}, "orgid": "e62c8c9f-8f1d-4d2d-8c03-9b711fac5ff8", "guid": "95a0de7c-8f1d-4d2d-8c03-9b711fac5ff8", "orgFk": "20066741877351", "buildTimeoutMinutes": 60, "cachedIcon": "https://storage.googleapis.com/some-random-bucket/.../icon.png", "links": { "self": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "list_buildtargets": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "latest_builds": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "revoke_all_shared": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false } }}
Update project details
Update project details
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Update project details":
Request example
curl -X PUT \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "name": "My Project", "coppa": false, "disabled": false, "disableNotifications": false, "generateShareLinks": true, "beautifulCornerSecondaryWorkspace": false, "buildTimeoutMinutes": 60, "settings": { "autoBuildLatest": "inherit", "remoteCacheStrategy": "library", "cacheCompressionLevel": "1", "artifactCompressionLevel": "1", "scm": { "type": "git", "url": "url", "url_buildjob": "https://git.internal.example.com/org/repo.git", "user": "user", "pass": "pass", "fingerprint": "fingerprint", "p4authtype": "p4authtype", "authType": "UPWorkingMode", "plasticAccessToken": "plasticAccessToken", "shallowclone": true, "windowsGitBinary": "cygwin", "useEncryption": true, "encryptionKey": "a1b2c3d4e5f6g7h8i9j0", "encryptionMethod": "AES128", "plasticEnvironment": "prd", "oauth": { "scm_provider": "scm_provider", "temp_state": "temp_state", "github": { "repository": { "owner": null, "clone_url": null, "archived_clone_url": null, "forks": null, "watchers": null, "full_name": null, "name": null, "scm": null, "provider_id": null }, "token": "token", "refreshToken": "refreshToken", "expiration": "2025-12-31T23:59:59.000Z", "expirationInterval": 0 }, "gitlab": { "repository": { "owner": null, "clone_url": null, "archived_clone_url": null, "forks": null, "watchers": null, "full_name": null, "name": null, "scm": null, "provider_id": null }, "token": "token", "refreshToken": "refreshToken", "expiration": "2025-12-31T23:59:59.000Z", "expirationInterval": 0 }, "bitbucket": { "repository": { "owner": null, "clone_url": null, "archived_clone_url": null, "forks": null, "watchers": null, "full_name": null, "name": null, "scm": null, "provider_id": null }, "token": "token", "refreshToken": "refreshToken", "expiration": "2025-12-31T23:59:59.000Z", "expirationInterval": 0, "workspace": "my-workspace" }, "azure": { "repository": { "owner": null, "clone_url": null, "archived_clone_url": null, "forks": null, "watchers": null, "full_name": null, "name": null, "scm": null, "provider_id": null }, "token": "token", "refreshToken": "refreshToken", "expiration": "2025-12-31T23:59:59.000Z", "expirationInterval": 0, "azureOrg": "azureOrg", "azureProject": "azureProject" } }, "isUnityCloudDrive": true, "repo": "repo", "branch": "branch", "subdirectory": "subdirectory", "client": "client" } }}' \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}"
Response example
{ "name": "John Doe", "projectid": "1234567890", "orgName": "orgName", "orgid": "1234567890", "orgFk": "046b6c7f-0b8a-43b9-b35d-6489e6daee91", "guid": "046b6c7f-0b8a-43b9-b35d-6489e6daee91", "created": "2023-01-01T00:00:00Z", "cachedIcon": "https://example.com/icon.png", "serviceFlags": {}, "links": {}, "disabled": true, "disableNotifications": true, "generateShareLinks": true, "buildTimeoutMinutes": 60, "beautifulCornerSecondaryWorkspace": false, "settings": { "autoBuildLatest": "inherit", "remoteCacheStrategy": "library", "cacheCompressionLevel": "1", "artifactCompressionLevel": "1", "scm": { "type": "git", "url": "url", "url_buildjob": "https://git.internal.example.com/org/repo.git", "user": "user", "pass": "pass", "fingerprint": "fingerprint", "p4authtype": "p4authtype", "authType": "UPWorkingMode", "plasticAccessToken": "plasticAccessToken", "shallowclone": true, "windowsGitBinary": "cygwin", "useEncryption": true, "encryptionKey": "a1b2c3d4e5f6g7h8i9j0", "encryptionMethod": "AES128", "plasticEnvironment": "prd", "oauth": { "scm_provider": "scm_provider", "temp_state": "temp_state", "github": { "repository": { "owner": null, "clone_url": null, "archived_clone_url": null, "forks": null, "watchers": null, "full_name": null, "name": null, "scm": null, "provider_id": null }, "token": "token", "refreshToken": "refreshToken", "expiration": "2025-12-31T23:59:59.000Z", "expirationInterval": 0 }, "gitlab": { "repository": { "owner": null, "clone_url": null, "archived_clone_url": null, "forks": null, "watchers": null, "full_name": null, "name": null, "scm": null, "provider_id": null }, "token": "token", "refreshToken": "refreshToken", "expiration": "2025-12-31T23:59:59.000Z", "expirationInterval": 0 }, "bitbucket": { "repository": { "owner": null, "clone_url": null, "archived_clone_url": null, "forks": null, "watchers": null, "full_name": null, "name": null, "scm": null, "provider_id": null }, "token": "token", "refreshToken": "refreshToken", "expiration": "2025-12-31T23:59:59.000Z", "expirationInterval": 0, "workspace": "my-workspace" }, "azure": { "repository": { "owner": null, "clone_url": null, "archived_clone_url": null, "forks": null, "watchers": null, "full_name": null, "name": null, "scm": null, "provider_id": null }, "token": "token", "refreshToken": "refreshToken", "expiration": "2025-12-31T23:59:59.000Z", "expirationInterval": 0, "azureOrg": "azureOrg", "azureProject": "azureProject" } }, "isUnityCloudDrive": true, "repo": "repo", "branch": "branch", "subdirectory": "subdirectory", "client": "client" } }}
Archive project
This will archive the project in Build Automation ONLY. Use with caution - this process is not reversible. The projects UPID will be removed from Build Automation allowing the project to be reconfigured.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Archive project":
Request example
curl -X DELETE \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}"
Response example
{ "requestId": "string", "details": [ {} ], "detail": "string", "type": "string", "code": 0, "title": "string", "status": 0}
List projects for an organization.
Returns the projects that belong to the specified organization.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "List projects for an organization.":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects"
Response example
[ { "settings": { "remoteCacheStrategy": "inherit", "cacheCompressionLevel": "1", "artifactCompressionLevel": "1", "scm": { "type": "git", "url": "git@github.com:UnityTechnologies/exampleProject.git", "url_buildjob": "https://git.internal.example.com/org/repo.git", "user": "build_automat_service_account", "pass": "********", "fingerprint": "string", "authType": "UPWorkingMode", "plasticAccessToken": "string", "shallowclone": false, "windowsGitBinary": "cygwin", "useEncryption": false, "encryptionKey": "string", "encryptionMethod": "AES128", "plasticEnvironment": "prd", "oauth": { "scm_provider": "scm_provider", "temp_state": "temp_state", "github": { "repository": null, "token": null, "refreshToken": null, "expiration": null, "expirationInterval": null }, "gitlab": { "repository": null, "token": null, "refreshToken": null, "expiration": null, "expirationInterval": null }, "bitbucket": { "repository": null, "token": null, "refreshToken": null, "expiration": null, "expirationInterval": null, "workspace": null }, "azure": { "repository": null, "token": null, "refreshToken": null, "expiration": null, "expirationInterval": null, "azureOrg": null, "azureProject": null } } } }, "created": "2025-01-01T18:45:00.000Z", "disabled": false, "disableNotifications": false, "generateShareLinks": false, "beautifulCornerSecondaryWorkspace": false, "projectid": "95a0de7c-8f1d-4d2d-8c03-9b711fac5ff8", "name": "Example Project", "orgName": "Example Organization", "serviceFlags": {}, "orgid": "e62c8c9f-8f1d-4d2d-8c03-9b711fac5ff8", "guid": "95a0de7c-8f1d-4d2d-8c03-9b711fac5ff8", "orgFk": "20066741877351", "buildTimeoutMinutes": 60, "cachedIcon": "https://storage.googleapis.com/some-random-bucket/.../icon.png", "links": { "self": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "list_buildtargets": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "latest_builds": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "revoke_all_shared": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false } } }]
Get project details by project ID
Get project by project ID
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get project details by project ID":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/projects/{projectid}"
Response example
{ "settings": { "remoteCacheStrategy": "inherit", "cacheCompressionLevel": "1", "artifactCompressionLevel": "1", "scm": { "type": "git", "url": "git@github.com:UnityTechnologies/exampleProject.git", "url_buildjob": "https://git.internal.example.com/org/repo.git", "user": "build_automat_service_account", "pass": "********", "fingerprint": "string", "authType": "UPWorkingMode", "plasticAccessToken": "string", "shallowclone": false, "windowsGitBinary": "cygwin", "useEncryption": false, "encryptionKey": "string", "encryptionMethod": "AES128", "plasticEnvironment": "prd", "oauth": { "scm_provider": "scm_provider", "temp_state": "temp_state", "github": { "repository": { "owner": null, "clone_url": null, "archived_clone_url": null, "forks": null, "watchers": null, "full_name": null, "name": null, "scm": null, "provider_id": null }, "token": "token", "refreshToken": "refreshToken", "expiration": "2025-12-31T23:59:59.000Z", "expirationInterval": 0 }, "gitlab": { "repository": { "owner": null, "clone_url": null, "archived_clone_url": null, "forks": null, "watchers": null, "full_name": null, "name": null, "scm": null, "provider_id": null }, "token": "token", "refreshToken": "refreshToken", "expiration": "2025-12-31T23:59:59.000Z", "expirationInterval": 0 }, "bitbucket": { "repository": { "owner": null, "clone_url": null, "archived_clone_url": null, "forks": null, "watchers": null, "full_name": null, "name": null, "scm": null, "provider_id": null }, "token": "token", "refreshToken": "refreshToken", "expiration": "2025-12-31T23:59:59.000Z", "expirationInterval": 0, "workspace": "my-workspace" }, "azure": { "repository": { "owner": null, "clone_url": null, "archived_clone_url": null, "forks": null, "watchers": null, "full_name": null, "name": null, "scm": null, "provider_id": null }, "token": "token", "refreshToken": "refreshToken", "expiration": "2025-12-31T23:59:59.000Z", "expirationInterval": 0, "azureOrg": "azureOrg", "azureProject": "azureProject" } } } }, "created": "2025-01-01T18:45:00.000Z", "disabled": false, "disableNotifications": false, "generateShareLinks": false, "beautifulCornerSecondaryWorkspace": false, "projectid": "95a0de7c-8f1d-4d2d-8c03-9b711fac5ff8", "name": "Example Project", "orgName": "Example Organization", "serviceFlags": {}, "orgid": "e62c8c9f-8f1d-4d2d-8c03-9b711fac5ff8", "guid": "95a0de7c-8f1d-4d2d-8c03-9b711fac5ff8", "orgFk": "20066741877351", "buildTimeoutMinutes": 60, "cachedIcon": "https://storage.googleapis.com/some-random-bucket/.../icon.png", "links": { "self": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "list_buildtargets": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "latest_builds": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "revoke_all_shared": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false } }}
Get audit log
Retrieve a list of historical settings changes for this project
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get audit log":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/auditlog"
Response example
[ { "action": "created", "timestamp": "2023-01-01T00:00:00Z", "user": "user@example.com" }]
Get billing plan
Get the billing plan for the specified project
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get billing plan":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/billingplan"
Response example
{ "billing": { "label": "Production Build", "numProjects": 3, "concurrentBuilds": 4, "cooldownMinutes": 5, "cooldownGracePeriodMinutes": 10, "collaborators": 8, "repoSizeLimitMB": 10240, "repoSizeLimitThresholdMB": 9216, "downloadLimitMB": 5120, "buildManifest": true, "libraryCaching": true, "pushExternalServices": true, "supportTickets": true, "apiAccess": true, "scheduledBuilds": true, "workspaceCaching": true, "buildingDisabled": true, "advancedFeatures": [ "cloudBuild", "collaborate" ], "scmTypes": [ "git", "p4" ] }, "effective": { "date": "2024-01-01T00:00:00.000Z", "type": "immediate" }}
Get project raw details
Get project raw details
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get project raw details":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/raw"
Response example
{ "name": "John Doe", "projectid": "1234567890", "orgName": "orgName", "orgid": "1234567890", "orgFk": "046b6c7f-0b8a-43b9-b35d-6489e6daee91", "guid": "046b6c7f-0b8a-43b9-b35d-6489e6daee91", "created": "2023-01-01T00:00:00Z", "cachedIcon": "https://example.com/icon.png", "serviceFlags": {}, "links": {}, "disabled": true, "disableNotifications": true, "generateShareLinks": true, "buildTimeoutMinutes": 60, "beautifulCornerSecondaryWorkspace": false, "settings": { "autoBuildLatest": "inherit", "remoteCacheStrategy": "library", "cacheCompressionLevel": "1", "artifactCompressionLevel": "1", "scm": { "type": "git", "url": "url", "url_buildjob": "https://git.internal.example.com/org/repo.git", "user": "user", "pass": "pass", "fingerprint": "fingerprint", "p4authtype": "p4authtype", "authType": "UPWorkingMode", "plasticAccessToken": "plasticAccessToken", "shallowclone": true, "windowsGitBinary": "cygwin", "useEncryption": true, "encryptionKey": "a1b2c3d4e5f6g7h8i9j0", "encryptionMethod": "AES128", "plasticEnvironment": "prd", "oauth": { "scm_provider": "scm_provider", "temp_state": "temp_state", "github": { "repository": { "owner": null, "clone_url": null, "archived_clone_url": null, "forks": null, "watchers": null, "full_name": null, "name": null, "scm": null, "provider_id": null }, "token": "token", "refreshToken": "refreshToken", "expiration": "2025-12-31T23:59:59.000Z", "expirationInterval": 0 }, "gitlab": { "repository": { "owner": null, "clone_url": null, "archived_clone_url": null, "forks": null, "watchers": null, "full_name": null, "name": null, "scm": null, "provider_id": null }, "token": "token", "refreshToken": "refreshToken", "expiration": "2025-12-31T23:59:59.000Z", "expirationInterval": 0 }, "bitbucket": { "repository": { "owner": null, "clone_url": null, "archived_clone_url": null, "forks": null, "watchers": null, "full_name": null, "name": null, "scm": null, "provider_id": null }, "token": "token", "refreshToken": "refreshToken", "expiration": "2025-12-31T23:59:59.000Z", "expirationInterval": 0, "workspace": "my-workspace" }, "azure": { "repository": { "owner": null, "clone_url": null, "archived_clone_url": null, "forks": null, "watchers": null, "full_name": null, "name": null, "scm": null, "provider_id": null }, "token": "token", "refreshToken": "refreshToken", "expiration": "2025-12-31T23:59:59.000Z", "expirationInterval": 0, "azureOrg": "azureOrg", "azureProject": "azureProject" } }, "isUnityCloudDrive": true, "repo": "repo", "branch": "branch", "subdirectory": "subdirectory", "client": "client" } }}
Get SSH Key
Get the ssh public key for the specified project
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get SSH Key":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/sshkey"
Response example
{ "publickey": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC...", "type": "type"}
Get Raw SSH Key
Get Raw SSH Key
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get Raw SSH Key":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/sshkey/raw"
Response example
{ "publickey": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC...", "privatekey": "privatekey", "type": "type"}
Get project statistics
Get statistics for the specified project
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get project statistics":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/stats"
Response example
{ "jobCount": 42, "buildSuccessHealth": 6.027456183070403, "buildPoorHealth": 1.4658129805029452, "buildCancelHealth": 5.962133916683182, "buildPendingHealth": 5.637376656633329, "successfulBuilds": 12, "canceledBuilds": 1, "failedBuilds": 3, "averageTime": 3.616076749251911, "averageWorkspaceSize": 2.027123023002322, "averageWaitTime": 4.145608029883936, "averageBillableTime": 7.386281948385884, "averageBuildTime": 1.2315135367772556, "maxConcurrentBuilds": 4, "availableConcurrentBuilds": 2}
Query Project Preview build state
Returns Project Preview build targets for the project, plus the most recent build for each. Optional query parameters filter the result set by branch, repo, and platform.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Query Project Preview build state":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/projectpreview"
Response example
[ { "buildTargetId": "asset-preview-standaloneosx-master", "platform": "standaloneosx", "branch": "master", "repo": "my-repo", "subdirectory": "subdir", "buildProfilePath": "Assets/Settings/MyBuildProfile.asset", "cacheRepo": "myorg/myproject_cache", "cacheBranch": "asset-preview-cache/abc123", "isCachePopulated": false, "generateProjectPreview3D": false, "latestBuild": { "buildStatus": "success", "buildNumber": 42, "branch": "main", "repo": "my-repo", "startedAt": "2026-06-01T00:00:00Z", "completedAt": "2026-06-01T00:05:00Z", "commitHash": "abc123def456" }, "runningBuilds": [ { "buildStatus": "started", "buildNumber": 43, "branch": "main", "repo": "my-repo", "startedAt": "2026-06-01T00:00:00Z", "completedAt": "2026-06-01T00:05:00Z", "commitHash": "abc123def456" } ] }]
List supported platforms
Queries the database for the supported platforms and returns the list of supported platforms.
Code samples for "List supported platforms":
Request example
curl -X GET \ "https://build-automation.services.api.unity.com/v2/platforms/supported"
Response example
[ { "platform": "standalonewindows", "name": "Windows x86", "editorIcon": "editorIcon", "operatingSystems": [ { "family": "mac", "versions": [ { "name": null, "value": null, "default": null, "deprecated": null, "architectures": null, "min_unity_version": null, "hidden": null, "default_xcode_version": null, "created": null, "unity_versions": null, "max_unity_version": null, "family": null, "xcode_versions": null, "finishTime": null } ], "defaultVersion": "sonomaSilicon" } ], "credentials": "none" }]
Get the Platform SDK requirements for the given Unity Version
Get the Platform SDK requirements for the given Unity Version
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get the Platform SDK requirements for the given Unity Version":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/versions/sdk_config/{unityVersionValue}"
Response example
[ "5.0", "6.0"]
Exchanges for a Plastic token.
Exchanges for a Plastic token.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Exchanges for a Plastic token.":
Request example
curl -X POST \ -H "x-plastic: <x-plastic>" \ -H "x-plastic-staging: <x-plastic-staging>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/plastic/exchange"
Response example
{ "user": "user@email.com", "accessToken": "TOKENabc123", "refreshToken": "abc7ac09-3f70-428b-ade2-971812051a9b", "authAccessToken": "dGVzdFRva2VuCg==", "stagingUser": "user@email.com", "stagingAccessToken": "TOKENabc123", "stagingRefreshToken": "abc7ac09-3f70-428b-ade2-971812051a9b", "stagingAuthAccessToken": "dGVzdFRva2VuCg=="}
Get organization details.
Returns detailed information about a specific organization.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get organization details.":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}"
Response example
{ "orgName": "Unity Technologies", "orgid": "unity-technologies", "orgFk": "123456", "autoBuildLatest": true, "location": { "geographicRegion": "amer" }}
Update organization data
Update specific data for the specified organization in UBA's cache
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Update organization data":
Request example
curl -X PATCH \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "autoBuildLatest": true, "location": { "geographicRegion": "us-east-1" }}' \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}"
Response example
{ "autoBuildLatest": true, "location": { "geographicRegion": "us-east-1" }}
Get billing plan
Get the billing plan for the specified organization
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get billing plan":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/billingplan"
Response example
{ "billing": { "label": "Production Build", "numProjects": 3, "concurrentBuilds": 4, "cooldownMinutes": 5, "cooldownGracePeriodMinutes": 10, "collaborators": 8, "repoSizeLimitMB": 10240, "repoSizeLimitThresholdMB": 9216, "downloadLimitMB": 5120, "buildManifest": true, "libraryCaching": true, "pushExternalServices": true, "supportTickets": true, "apiAccess": true, "scheduledBuilds": true, "workspaceCaching": true, "buildingDisabled": true, "advancedFeatures": [ "cloudBuild", "collaborate" ], "scmTypes": [ "git", "p4" ] }, "effective": { "date": "2024-01-01T00:00:00.000Z", "type": "immediate" }}
Get SSH Key
Get the ssh public key for the specified org
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Regenerate SSH Key
Regenerate the ssh key for the specified org WARNING this is a destructive operation that will permanently remove your current SSH key.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Regenerate SSH Key":
Request example
curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/sshkey"
Response example
{ "publickey": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC..."}
Get concurrency limit
Get how many builds the organization can run at the same time.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Set concurrency limit
Set how many builds the organization can run at the same time. Builds beyond the limit stay queued.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Set concurrency limit":
Request example
curl -X PUT \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "limit": 5}' \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/concurrency-limit"
Response example
{ "limit": 5, "maxAllowable": 20}
Get an operating system version by key
Get an operating system version by key
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get an operating system version by key":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/versions/operatingsystem/{value}"
Response example
{ "name": "macOS Sonoma - Silicon", "value": "sonomaSilicon", "default": false, "deprecated": false, "architectures": [ "x64", "arm64" ], "min_unity_version": "2022.3.0f1", "hidden": true, "default_xcode_version": "xcode14_0", "created": "2023-01-01T00:00:00Z", "unity_versions": [ "2022.3.0f1", "2023.1.0f1" ], "max_unity_version": "2023.2.0f1", "family": "mac", "xcode_versions": [ "xcode13_2_1", "xcode14_0" ], "finishTime": "2023-12-31T23:59:59Z"}
List all operating system versions
List all operating system versions
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "List all operating system versions":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/versions/operatingsystem"
Response example
[ { "name": "macOS Sonoma - Silicon", "value": "sonomaSilicon", "default": false, "deprecated": false, "architectures": [ "x64", "arm64" ], "min_unity_version": "2022.3.0f1", "hidden": true, "default_xcode_version": "xcode14_0", "created": "2023-01-01T00:00:00Z", "unity_versions": [ "2022.3.0f1", "2023.1.0f1" ], "max_unity_version": "2023.2.0f1", "family": "mac", "xcode_versions": [ "xcode13_2_1", "xcode14_0" ], "finishTime": "2023-12-31T23:59:59Z" }]
Create a commit webhook for the configured repo
Create a commit webhook for the configured repo
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Create a commit webhook for the configured repo":
Request example
curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/oauth/{key}/createwebhook"
Response example
{ "id": "webhook_123", "url": "https://api.github.com/hooks", "name": "web", "active": true, "events": "push", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z"}
List branches in the project's repository
List branches in the project's repository
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "List branches in the project's repository":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/oauth/{key}/branches"
Response example
[ { "name": "main" }]
List available repositories
List available repositories
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "List available repositories":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/oauth/{key}/repos"
Response example
[ { "name": "Hello-World", "full_name": "octocat/Hello-World", "scm": "git", "provider_id": "12345", "watchers": 80, "forks": 9, "clone_url": "https://github.com/octocat/Hello-World.git", "owner": { "login": "octocat", "avatar_url": "https://github.com/images/error/octocat_happy.gif" } }]
List all enabled machine types
List all enabled machine types
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "List all enabled machine types":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/machinetypes"
Response example
[ { "name": "Standard_v1", "shortName": "win_standard_v1", "label": "win_standard_v1", "operatingSystem": "mac", "operatingSystemVersions": [ "sonomaSilicon", "venturaIntel" ], "enabled": true, "default": false, "isBestValue": true, "freeTierEligible": true, "sku": "Standard_D2s_v3", "cpuCores": 2, "memoryGB": 8, "videoMemoryGB": 1, "diskSizeGB": 100, "osDiskSizeGB": 30, "dataDriveType": "pooled" }]
Get categorized failures for a specific build.
Returns active failure indicators for the given build attempt.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get categorized failures for a specific build.":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/buildtargets/{buildtargetid}/builds/{number}/failures"
Response example
{ "failures": [ { "displayName": "Git Checkout Error", "stage": "checkout", "step": "git-clone", "publicMessage": "Git authentication failed", "link": "https://docs.unity.com/git-setup", "logline": 123, "failureIndicatorLabel": "git_auth_failed" } ]}
Submit feedback for a specific failure indicator.
Allows users to mark a failure indicator as helpful or not helpful.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Submit feedback for a specific failure indicator.":
Request example
curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "failureIndicatorLabel": "build_failed", "feedback": "helpful"}' \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/buildtargets/{buildtargetid}/builds/{number}/failures/feedback"
Response example
{ "success": true}
Get failure indicator labels for a project.
Returns all unique failure indicator labels that have been detected for failures within the project.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get failure indicator labels for a project.":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/failure-indicator-labels"
Response example
{ "labels": [ { "label": "git_auth_failed", "displayName": "Git Authentication Failed" } ]}
Get failure indicator labels for a build target.
Returns unique failure indicator labels detected for failures within the build target.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get failure indicator labels for a build target.":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/buildtargets/{buildtargetid}/failure-indicator-labels"
Response example
{ "labels": [ { "label": "git_auth_failed", "displayName": "Git Authentication Failed" } ]}
Get environment variables
Get all configured environment variables for a given build target
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get environment variables":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/buildtargets/{buildtargetid}/envvars"
Response example
{ "API_URL": "https://build-api.cloud.unity3d.com/", "FEATURE_FLAG": "true"}
Set environment variables
Set all configured environment variables for a given build target
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Set environment variables":
Request example
curl -X PUT \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: application/json" \ -d '{}' \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/buildtargets/{buildtargetid}/envvars"
Response example
{ "API_URL": "https://build-api.cloud.unity3d.com/", "FEATURE_FLAG": "true"}
Get environment variables
Get all configured environment variables for a given project
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get environment variables":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/envvars"
Response example
{ "API_URL": "https://build-api.cloud.unity3d.com/", "FEATURE_FLAG": "true"}
Set environment variables
Set all configured environment variables for a given project
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Set environment variables":
Request example
curl -X PUT \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: application/json" \ -d '{}' \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/envvars"
Response example
{ "API_URL": "https://build-api.cloud.unity3d.com/", "FEATURE_FLAG": "true"}
Get machine types, xcode versions, and operating system versions
Get machine types, xcode versions, and operating system versions
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get machine types, xcode versions, and operating system versions":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/editor/config"
Response example
{ "machineTypes": [ { "name": "Standard_v1", "shortName": "win_standard_v1", "label": "win_standard_v1", "operatingSystem": "mac", "operatingSystemVersions": [ "sonomaSilicon", "venturaIntel" ], "enabled": true, "default": false, "isBestValue": true, "freeTierEligible": true, "sku": "Standard_D2s_v3", "cpuCores": 2, "memoryGB": 8, "videoMemoryGB": 1, "diskSizeGB": 100, "osDiskSizeGB": 30, "dataDriveType": "pooled" } ], "xcodeVersions": [ { "hidden": true, "deprecated": true, "name": "John Doe", "value": "example-value" } ], "operatingSystemVersions": [ { "name": "macOS Sonoma - Silicon", "value": "sonomaSilicon", "default": false, "deprecated": false, "architectures": [ "x64", "arm64" ], "min_unity_version": "2022.3.0f1", "hidden": true, "default_xcode_version": "xcode14_0", "created": "2023-01-01T00:00:00Z", "unity_versions": [ "2022.3.0f1", "2023.1.0f1" ], "max_unity_version": "2023.2.0f1", "family": "mac", "xcode_versions": [ "xcode13_2_1", "xcode14_0" ], "finishTime": "2023-12-31T23:59:59Z" } ], "androidSdkConfig": [ { "name": "John Doe", "value": "example-value" } ]}
Generate a plist file for device distribution
Renders the iOS manifest plist that wraps a signed IPA URL so iOS can install it directly. Public, unauthenticated by design — org context is implicit in the pre-signed / URLs supplied by the caller (typically the dashboard via ).
itms-servicesbundleicongetShareMetadataCode samples for "Generate a plist file for device distribution":
Request example
curl -X GET \ "https://build-automation.services.api.unity.com/v2/device/distribution/plist"
Response example
"<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<plist version=\"1.0\">\n<dict>\n\t<key>Items</key>\n\t<array/>\n</dict>\n</plist>"
Get device configuration plist for a specific device ID
Streams the global signed Apple Configuration Profile that prompts the device for its UDID/IMEI/etc. and posts them to the endpoint. Public, unauthenticated by design — there is no per-device or per-org branching; the dashboard binds the returned attributes to a user when the callback redirects there.
/device/profile_installation/callbackCode samples for "Get device configuration plist for a specific device ID":
Request example
curl -X GET \ "https://build-automation.services.api.unity.com/v2/device/deviceid.mobileconfig"
Response example
"<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<!DOCTYPE plist PUBLIC \"-//Apple//DTD PLIST 1.0//EN\" \"http://www.apple.com/DTDs/PropertyList-1.0.dtd\">\n<plist version=\"1.0\">\n<dict/>\n</plist>"
Handle iOS profile installation callback
Receives the PKCS7-signed plist that iOS posts back after the device downloads . Extracts UDID, VERSION, DEVICE_NAME, and PRODUCT from the embedded XML, then 301-redirects to the dashboard's device-registration URL with those values as query parameters. Public, unauthenticated by design — iOS posts to this URL directly with no user session context; the dashboard binds the device attributes to a user after the redirect lands.
deviceid.mobileconfigCode samples for "Handle iOS profile installation callback":
Request example
curl -X POST \ "https://build-automation.services.api.unity.com/v2/device/profile_installation/callback"
Response example
{ "requestId": "string", "details": [ {} ], "detail": "string", "type": "string", "code": 0, "title": "string", "status": 0}
Get All Android Credentials
Get all credentials available for the project. A user in the projects org will see all credentials uploaded for any project within the org, whereas a user with project-level permissions will only see credentials assigned to the specific project.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get All Android Credentials":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/credentials/signing/android"
Response example
[ { "platform": "webgl", "label": "Auto Generated Debug Keystore", "credentialid": "a7dba621-a877-43c5-8163-bda58247124e", "created": "2015-08-27T22:29:00.023Z", "lastMod": "2015-08-27T22:29:00.023Z", "keystore": { "alias": "my-keystore-alias", "debug": true, "expiration": "2025-12-31T23:59:59.000Z" }, "links": { "self": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "delete": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "projects": [ { "method": "get", "href": "/orgs/{orgFk}/projects/{guid}/", "meta": { "name": "My project", "id": "project-core-guid" } } ] } }]
Upload Android Credentials
Upload a new android keystore for the project. NOTE: you must be a manager in the project's organization to add new credentials.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Upload Android Credentials":
Request example
curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: multipart/form-data" \ -d '{"label":"string","alias":"string","keypass":"string","storepass":"string","file":"string"}' \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/credentials/signing/android"
Response example
{ "platform": "webgl", "label": "Production Build", "credentialid": "a7dba621-a877-43c5-8163-bda58247124e", "created": "2023-01-01T00:00:00Z", "lastMod": "2023-01-01T00:00:00Z", "keystore": { "alias": "my-keystore-alias", "debug": true, "expiration": "2025-12-31T23:59:59.000Z" }, "links": { "self": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "delete": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "projects": [ { "method": "get", "href": "/orgs/{orgFk}/projects/{guid}/", "meta": { "name": "My project", "id": "project-core-guid" } } ] }}
Get All Android Credentials for an organization
Get all credentials available for the organization. A list of projects using a credential is included in the links element.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get All Android Credentials for an organization":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/credentials/signing/android"
Response example
[ { "platform": "webgl", "label": "Auto Generated Debug Keystore", "credentialid": "a7dba621-a877-43c5-8163-bda58247124e", "created": "2015-08-27T22:29:00.023Z", "lastMod": "2015-08-27T22:29:00.023Z", "keystore": { "alias": "my-keystore-alias", "debug": true, "expiration": "2025-12-31T23:59:59.000Z" }, "links": { "self": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "delete": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "projects": [ { "method": "get", "href": "/orgs/{orgFk}/projects/{guid}/", "meta": { "name": "My project", "id": "project-core-guid" } } ] } }]
Upload Android Credentials
Upload a new android keystore for an organization. NOTE: you must be a manager in the organization to add new credentials.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Upload Android Credentials":
Request example
curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: multipart/form-data" \ -d '{"label":"string","alias":"string","keypass":"string","storepass":"string","file":"string"}' \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/credentials/signing/android"
Response example
{ "platform": "webgl", "label": "Production Build", "credentialid": "a7dba621-a877-43c5-8163-bda58247124e", "created": "2023-01-01T00:00:00Z", "lastMod": "2023-01-01T00:00:00Z", "keystore": { "alias": "my-keystore-alias", "debug": true, "expiration": "2025-12-31T23:59:59.000Z" }, "links": { "self": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "delete": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "projects": [ { "method": "get", "href": "/orgs/{orgFk}/projects/{guid}/", "meta": { "name": "My project", "id": "project-core-guid" } } ] }}
Delete and Regenerate Android Debug Credentials for organization
Delete and regenerate android debug credentials for an organization. NOTE: you must be a manager in the organization to delete credentials.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Delete and Regenerate Android Debug Credentials for organization":
Request example
curl -X DELETE \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/credentials/signing/android"
Response example
{ "platform": "webgl", "label": "Production Build", "credentialid": "a7dba621-a877-43c5-8163-bda58247124e", "created": "2023-01-01T00:00:00Z", "lastMod": "2023-01-01T00:00:00Z", "keystore": { "alias": "my-keystore-alias", "debug": true, "expiration": "2025-12-31T23:59:59.000Z" }, "links": { "self": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "delete": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "projects": [ { "method": "get", "href": "/orgs/{orgFk}/projects/{guid}/", "meta": { "name": "My project", "id": "project-core-guid" } } ] }}
Get All iOS Credentials
Get all credentials available for the project. A user in the projects org will see all credentials uploaded for any project within the org, whereas a user with project-level permissions will only see credentials assigned to the specific project.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get All iOS Credentials":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/credentials/signing/ios"
Response example
[ { "platform": "webgl", "label": "Beta Credentials", "credentialid": "a7dba621-a877-43c5-8163-bda58247124e", "created": "2015-08-27T22:29:00.023Z", "lastMod": "2015-08-27T22:29:00.023Z", "certificate": { "teamId": "teamId", "certName": "certName", "expiration": "2025-12-31T23:59:59.000Z", "isDistribution": true, "issuer": "issuer", "uploaded": "2024-01-01T00:00:00Z" }, "provisioningProfile": { "teamId": "teamId", "bundleId": "bundleId", "uuid": "uuid", "expiration": "2025-12-31T23:59:59.000Z", "isEnterpriseProfile": true, "type": "developer", "numDevices": 42, "uploaded": "uploaded", "provisionedDevices": [ "device1", "device2" ] }, "links": { "self": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "delete": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "projects": [ { "method": "get", "href": "/orgs/{orgFk}/projects/{guid}/", "meta": { "name": "My project", "id": "project-core-guid" } } ] } }]
Upload iOS Credentials
Upload a new iOS certificate and provisioning profile for the project. NOTE: you must be a manager in the project's organization to add new credentials.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Upload iOS Credentials":
Request example
curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: multipart/form-data" \ -d '{"label":"string","fileCertificate":"string","fileProvisioningProfile":"string","certificatePass":"string"}' \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/credentials/signing/ios"
Response example
{ "platform": "webgl", "label": "Production Build", "credentialid": "a7dba621-a877-43c5-8163-bda58247124e", "created": "2023-01-01T00:00:00Z", "lastMod": "2023-01-01T00:00:00Z", "certificate": { "teamId": "teamId", "certName": "certName", "expiration": "2025-12-31T23:59:59.000Z", "isDistribution": true, "issuer": "issuer", "uploaded": "2024-01-01T00:00:00Z" }, "provisioningProfile": { "teamId": "teamId", "bundleId": "bundleId", "uuid": "uuid", "expiration": "2025-12-31T23:59:59.000Z", "isEnterpriseProfile": true, "type": "developer", "numDevices": 42, "uploaded": "uploaded", "provisionedDevices": [ "device1", "device2" ] }, "links": { "self": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "delete": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "projects": [ { "method": "get", "href": "/orgs/{orgFk}/projects/{guid}/", "meta": { "name": "My project", "id": "project-core-guid" } } ] }}
Get All iOS Credentials for an oganization
Get all credentials available for the project. A user in the projects org will see all credentials uploaded for any project within the org, whereas a user with project-level permissions will only see credentials assigned to the specific project.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get All iOS Credentials for an oganization":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/credentials/signing/ios"
Response example
[ { "platform": "webgl", "label": "Beta Credentials", "credentialid": "a7dba621-a877-43c5-8163-bda58247124e", "created": "2015-08-27T22:29:00.023Z", "lastMod": "2015-08-27T22:29:00.023Z", "certificate": { "teamId": "teamId", "certName": "certName", "expiration": "2025-12-31T23:59:59.000Z", "isDistribution": true, "issuer": "issuer", "uploaded": "2024-01-01T00:00:00Z" }, "provisioningProfile": { "teamId": "teamId", "bundleId": "bundleId", "uuid": "uuid", "expiration": "2025-12-31T23:59:59.000Z", "isEnterpriseProfile": true, "type": "developer", "numDevices": 42, "uploaded": "uploaded", "provisionedDevices": [ "device1", "device2" ] }, "links": { "self": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "delete": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "projects": [ { "method": "get", "href": "/orgs/{orgFk}/projects/{guid}/", "meta": { "name": "My project", "id": "project-core-guid" } } ] } }]
Upload iOS Credentials for organization
Upload a new iOS certificate and provisioning profile for the organization. NOTE: you must be a manager in the organization to add new credentials.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Upload iOS Credentials for organization":
Request example
curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: multipart/form-data" \ -d '{"label":"string","fileCertificate":"string","fileProvisioningProfile":"string","certificatePass":"string"}' \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/credentials/signing/ios"
Response example
{ "platform": "webgl", "label": "Production Build", "credentialid": "a7dba621-a877-43c5-8163-bda58247124e", "created": "2023-01-01T00:00:00Z", "lastMod": "2023-01-01T00:00:00Z", "certificate": { "teamId": "teamId", "certName": "certName", "expiration": "2025-12-31T23:59:59.000Z", "isDistribution": true, "issuer": "issuer", "uploaded": "2024-01-01T00:00:00Z" }, "provisioningProfile": { "teamId": "teamId", "bundleId": "bundleId", "uuid": "uuid", "expiration": "2025-12-31T23:59:59.000Z", "isEnterpriseProfile": true, "type": "developer", "numDevices": 42, "uploaded": "uploaded", "provisionedDevices": [ "device1", "device2" ] }, "links": { "self": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "delete": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "projects": [ { "method": "get", "href": "/orgs/{orgFk}/projects/{guid}/", "meta": { "name": "My project", "id": "project-core-guid" } } ] }}
Get All OSX Credentials
Get all credentials available for the project. A user in the projects org will see all credentials uploaded for any project within the org, whereas a user with project-level permissions will only see credentials assigned to the specific project.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get All OSX Credentials":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/credentials/signing/osx"
Response example
[ { "platform": "webgl", "label": "Beta Credentials", "credentialid": "a7dba621-a877-43c5-8163-bda58247124e", "created": "2015-08-27T22:29:00.023Z", "lastMod": "2015-08-27T22:29:00.023Z", "certificate": { "teamId": "teamId", "certName": "certName", "expiration": "2025-12-31T23:59:59.000Z", "isDistribution": true, "issuer": "issuer", "uploaded": "2024-01-01T00:00:00Z" }, "providerName": "Apple Developer", "appleIdUsername": "developer@example.com", "links": { "self": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "delete": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "projects": [ { "method": "get", "href": "/orgs/{orgFk}/projects/{guid}/", "meta": { "name": "My project", "id": "project-core-guid" } } ] } }]
Upload OSX Credentials
Upload a new OSX certificate and provisioning profile for the project. NOTE: you must be a manager in the project's organization to add new credentials.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Upload OSX Credentials":
Request example
curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: multipart/form-data" \ -d '{"label":"string","appleIdUsername":"string","appleIdPassword":"string","certificate":"string","certificatePass":"string","providerName":"string","entitlementsFile":"string"}' \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/credentials/signing/osx"
Response example
{ "platform": "webgl", "label": "Production Build", "credentialid": "a7dba621-a877-43c5-8163-bda58247124e", "created": "2023-01-01T00:00:00Z", "lastMod": "2023-01-01T00:00:00Z", "certificate": { "teamId": "teamId", "certName": "certName", "expiration": "2025-12-31T23:59:59.000Z", "isDistribution": true, "issuer": "issuer", "uploaded": "2024-01-01T00:00:00Z" }, "providerName": "Apple Developer", "appleIdUsername": "developer@example.com", "links": { "self": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "delete": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "projects": [ { "method": "get", "href": "/orgs/{orgFk}/projects/{guid}/", "meta": { "name": "My project", "id": "project-core-guid" } } ] }}
Get All OSX Credentials for an oganization
Get all credentials available for the project. A user in the projects org will see all credentials uploaded for any project within the org, whereas a user with project-level permissions will only see credentials assigned to the specific project.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get All OSX Credentials for an oganization":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/credentials/signing/osx"
Response example
[ { "platform": "webgl", "label": "Beta Credentials", "credentialid": "a7dba621-a877-43c5-8163-bda58247124e", "created": "2015-08-27T22:29:00.023Z", "lastMod": "2015-08-27T22:29:00.023Z", "certificate": { "teamId": "teamId", "certName": "certName", "expiration": "2025-12-31T23:59:59.000Z", "isDistribution": true, "issuer": "issuer", "uploaded": "2024-01-01T00:00:00Z" }, "providerName": "Apple Developer", "appleIdUsername": "developer@example.com", "links": { "self": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "delete": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "projects": [ { "method": "get", "href": "/orgs/{orgFk}/projects/{guid}/", "meta": { "name": "My project", "id": "project-core-guid" } } ] } }]
Upload OSX Credentials for organization
Upload a new OSX certificate and provisioning profile for the organization. NOTE: you must be a manager in the organization to add new credentials.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Upload OSX Credentials for organization":
Request example
curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: multipart/form-data" \ -d '{"label":"string","appleIdUsername":"string","appleIdPassword":"string","certificate":"string","certificatePass":"string","providerName":"string","entitlementsFile":"string"}' \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/credentials/signing/osx"
Response example
{ "platform": "webgl", "label": "Production Build", "credentialid": "a7dba621-a877-43c5-8163-bda58247124e", "created": "2023-01-01T00:00:00Z", "lastMod": "2023-01-01T00:00:00Z", "certificate": { "teamId": "teamId", "certName": "certName", "expiration": "2025-12-31T23:59:59.000Z", "isDistribution": true, "issuer": "issuer", "uploaded": "2024-01-01T00:00:00Z" }, "providerName": "Apple Developer", "appleIdUsername": "developer@example.com", "links": { "self": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "delete": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "projects": [ { "method": "get", "href": "/orgs/{orgFk}/projects/{guid}/", "meta": { "name": "My project", "id": "project-core-guid" } } ] }}
Get All UWP Credentials
Get all credentials available for the project. A user in the projects org will see all credentials uploaded for any project within the org, whereas a user with project-level permissions will only see credentials assigned to the specific project.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get All UWP Credentials":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/credentials/signing/uwp"
Response example
[ { "platform": "webgl", "label": "Beta Credentials", "credentialid": "a7dba621-a877-43c5-8163-bda58247124e", "created": "2015-08-27T22:29:00.023Z", "lastMod": "2015-08-27T22:29:00.023Z", "certificate": { "teamId": "teamId", "certName": "certName", "expiration": "2025-12-31T23:59:59.000Z", "isDistribution": true, "issuer": "issuer", "uploaded": "2024-01-01T00:00:00Z" }, "links": { "self": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "delete": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "projects": [ { "method": "get", "href": "/orgs/{orgFk}/projects/{guid}/", "meta": { "name": "My project", "id": "project-core-guid" } } ] } }]
Upload UWP Credentials
Upload a new UWP certificate and provisioning profile for the project. NOTE: you must be a manager in the project's organization to add new credentials.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Upload UWP Credentials":
Request example
curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: multipart/form-data" \ -d '{"label":"string","certificatePass":"string","certificate":"string"}' \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/credentials/signing/uwp"
Response example
{ "platform": "webgl", "label": "Production Build", "credentialid": "a7dba621-a877-43c5-8163-bda58247124e", "created": "2023-01-01T00:00:00Z", "lastMod": "2023-01-01T00:00:00Z", "certificate": { "teamId": "teamId", "certName": "certName", "expiration": "2025-12-31T23:59:59.000Z", "isDistribution": true, "issuer": "issuer", "uploaded": "2024-01-01T00:00:00Z" }, "links": { "self": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "delete": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "projects": [ { "method": "get", "href": "/orgs/{orgFk}/projects/{guid}/", "meta": { "name": "My project", "id": "project-core-guid" } } ] }}
Get All UWP Credentials for an oganization
Get all credentials available for the project. A user in the projects org will see all credentials uploaded for any project within the org, whereas a user with project-level permissions will only see credentials assigned to the specific project.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get All UWP Credentials for an oganization":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/credentials/signing/uwp"
Response example
[ { "platform": "webgl", "label": "Beta Credentials", "credentialid": "a7dba621-a877-43c5-8163-bda58247124e", "created": "2015-08-27T22:29:00.023Z", "lastMod": "2015-08-27T22:29:00.023Z", "certificate": { "teamId": "teamId", "certName": "certName", "expiration": "2025-12-31T23:59:59.000Z", "isDistribution": true, "issuer": "issuer", "uploaded": "2024-01-01T00:00:00Z" }, "links": { "self": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "delete": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "projects": [ { "method": "get", "href": "/orgs/{orgFk}/projects/{guid}/", "meta": { "name": "My project", "id": "project-core-guid" } } ] } }]
Upload UWP Credentials for organization
Upload a new UWP certificate and provisioning profile for the organization. NOTE: you must be a manager in the organization to add new credentials.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Upload UWP Credentials for organization":
Request example
curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: multipart/form-data" \ -d '{"label":"string","certificatePass":"string","certificate":"string"}' \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/credentials/signing/uwp"
Response example
{ "platform": "webgl", "label": "Production Build", "credentialid": "a7dba621-a877-43c5-8163-bda58247124e", "created": "2023-01-01T00:00:00Z", "lastMod": "2023-01-01T00:00:00Z", "certificate": { "teamId": "teamId", "certName": "certName", "expiration": "2025-12-31T23:59:59.000Z", "isDistribution": true, "issuer": "issuer", "uploaded": "2024-01-01T00:00:00Z" }, "links": { "self": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "delete": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "projects": [ { "method": "get", "href": "/orgs/{orgFk}/projects/{guid}/", "meta": { "name": "My project", "id": "project-core-guid" } } ] }}
Get Android Credential Details
Get specific android credential details
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get Android Credential Details":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/credentials/signing/android/{credentialid}"
Response example
{ "platform": "webgl", "label": "Production Build", "credentialid": "a7dba621-a877-43c5-8163-bda58247124e", "created": "2023-01-01T00:00:00Z", "lastMod": "2023-01-01T00:00:00Z", "keystore": { "alias": "my-keystore-alias", "debug": true, "expiration": "2025-12-31T23:59:59.000Z" }, "links": { "self": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "delete": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "projects": [ { "method": "get", "href": "/orgs/{orgFk}/projects/{guid}/", "meta": { "name": "My project", "id": "project-core-guid" } } ] }}
Update Android Credentials
Update an android keystore for the project. NOTE: you must be a manager in the project's organization to add new credentials.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Update Android Credentials":
Request example
curl -X PUT \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: multipart/form-data" \ -d '{"label":"string","alias":"string","keypass":"string","storepass":"string","file":"string"}' \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/credentials/signing/android/{credentialid}"
Response example
{ "platform": "webgl", "label": "Production Build", "credentialid": "a7dba621-a877-43c5-8163-bda58247124e", "created": "2023-01-01T00:00:00Z", "lastMod": "2023-01-01T00:00:00Z", "keystore": { "alias": "my-keystore-alias", "debug": true, "expiration": "2025-12-31T23:59:59.000Z" }, "links": { "self": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "delete": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "projects": [ { "method": "get", "href": "/orgs/{orgFk}/projects/{guid}/", "meta": { "name": "My project", "id": "project-core-guid" } } ] }}
Delete Android Credentials
Delete specific android credentials for a project. NOTE: you must be a manager in the project's organization to delete credentials.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Delete Android Credentials":
Request example
curl -X DELETE \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/credentials/signing/android/{credentialid}"
Response example
{ "requestId": "string", "details": [ {} ], "detail": "string", "type": "string", "code": 0, "title": "string", "status": 0}
Get Android Credential Details for organization
Get specific organization android credential details
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get Android Credential Details for organization":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/credentials/signing/android/{credentialid}"
Response example
{ "platform": "webgl", "label": "Production Build", "credentialid": "a7dba621-a877-43c5-8163-bda58247124e", "created": "2023-01-01T00:00:00Z", "lastMod": "2023-01-01T00:00:00Z", "keystore": { "alias": "my-keystore-alias", "debug": true, "expiration": "2025-12-31T23:59:59.000Z" }, "links": { "self": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "delete": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "projects": [ { "method": "get", "href": "/orgs/{orgFk}/projects/{guid}/", "meta": { "name": "My project", "id": "project-core-guid" } } ] }}
Update Android Credentials for organization
Update an android keystore for the organization. NOTE: you must be a manager in the organization to update credentials.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Update Android Credentials for organization":
Request example
curl -X PUT \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: multipart/form-data" \ -d '{"label":"string","alias":"string","keypass":"string","storepass":"string","file":"string"}' \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/credentials/signing/android/{credentialid}"
Response example
{ "platform": "webgl", "label": "Production Build", "credentialid": "a7dba621-a877-43c5-8163-bda58247124e", "created": "2023-01-01T00:00:00Z", "lastMod": "2023-01-01T00:00:00Z", "keystore": { "alias": "my-keystore-alias", "debug": true, "expiration": "2025-12-31T23:59:59.000Z" }, "links": { "self": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "delete": { "method": "get", "href": "/some/path/to/resource", "type": "application/json", "meta": {}, "redirect": false }, "projects": [ { "method": "get", "href": "/orgs/{orgFk}/projects/{guid}/", "meta": { "name": "My project", "id": "project-core-guid" } } ] }}
Delete Android Credentials for organization
Delete specific android credentials for an organization. NOTE: you must be a manager in the organization to delete credentials.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Delete Android Credentials for organization":
Request example
curl -X DELETE \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/credentials/signing/android/{credentialid}"
Response example
{ "requestId": "string", "details": [ {} ], "detail": "string", "type": "string", "code": 0, "title": "string", "status": 0}
Get iOS Credential Details
Get specific iOS credential details
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
jwt
HTTP: jwt
HTTP Authorization Scheme: bearer
Code samples for "Get iOS Credential Details":
Request example
curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://build-automation.services.api.unity.com/v2/orgs/{orgid}/projects/{projectid}/credentials/signing/ios/{credentialid}"
Response example
[...]
